-- playscene.lua

--require   

local scene = require('scene')
local map = require('map')
local player = require('player')

--object creation

local playscene = scene:new()
local playerOne = player:new(0, 0, 'assets/playerTestSprite.png')

function playscene:new()
    local obj = {}
    setmetatable(obj, self)
    self.__index = self
    return obj
end

function playscene:load()
    map:startArea()
    playerOne:load()
end

function playscene:update(dt)
    playerOne:update(dt)
end

function playscene:draw()
    map:draw()
    playerOne:draw()
end

return playscene