-- tile.lua

local tile = {}

function tile:new(tileID, tilePassable, tileSprite, positionX, positionY, size, ladder, slope, platform)
    local obj = {
        id = tileID or 0,
        isPassable = tilePassable or true,
        sprite = tileSprite,
        x = positionX,
        y = positionY,
        tileSize = size, 
        isLadder = ladder or false,
        isSlope = slope or false,
        isPlatform = platform or false
    }
    setmetatable(obj, self)
    self.__index = self

    return obj
end

function tile:load()
end

function tile:update(dt)
end

function tile:draw()
    love.graphics.draw(self.sprite, self.x, self.y)
end

return tile